Seagate external drive causes SCSI bus resets when UAS enabled

Bug #1584557 reported by Ian Turner on 2016-05-23
88
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Seagate STEA1000400 external USB hard disk (USB ID 0bc2:2322) causes continuous SCSI bus resets by default. As a workaround, disabling UAS causes the device to work fine.

To disable UAS, I created a file in /etc/modprobe.d with the following contents:
options usb-storage quirks=0bc2:02322:u

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.14
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CrashDB: ubuntu
Date: Sun May 22 22:02:26 2016
InstallationDate: Installed on 2012-10-07 (1323 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120822.4)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-release-upgrader
Symptom: ubuntu-release-upgrader
UpgradeStatus: Upgraded to xenial on 2016-04-09 (43 days ago)

Ian Turner (vectro) wrote :
affects: ubuntu-release-upgrader (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.7 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Ian Turner (vectro) wrote :

Using upstream kernel 4.7.0-040700-generic, I did not observe SCSI bus resets, but did observe a single instance of I/O related "hung task" messages in dmesg, which are attached, during heavy read/write load. I could not reproduce the message on subsequent attempts.

Ian Turner (vectro) wrote :

On 4.4.0-31-generic, I'm still seeing this issue. This is new hardware and 4.4.0-22-generic was the first kernel I tried to use with this device.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-fixed-upstream
Filofel (filofel) wrote :

Same problem here using 16.04 / kernel 4.4.0-42-generic (i686) and external drive LaCie d2 Quadra, USB ID 059f:105e

I get random hangs under heavy traffic, during rsync from one external USB drive to another.
rsync just hangs during a transfer. Sometimes it recovers after a number of seconds, sometimes it never does and hangs there, possibly for hours.
dmesg contains then contains repeated error recovery sequences such as:

[ 2350.056247] usb 1-4.4: cmd cmplt err -2
[ 2350.128049] usb 1-4.4: reset high-speed USB device number 12 using ehci-pci
[ 2350.333548] scsi host8: uas_eh_bus_reset_handler success
[ 2381.032039] sd 8:0:0:0: [sdc] tag#1 uas_eh_abort_handler 0 uas-tag 2 inflight: CMD
[ 2381.032045] sd 8:0:0:0: [sdc] tag#1 CDB: Read(10) 28 00 95 5a 11 00 00 00 08 00
[ 2381.032049] sd 8:0:0:0: [sdc] tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: CMD
[ 2381.032052] sd 8:0:0:0: [sdc] tag#0 CDB: Read(10) 28 00 00 00 00 00 00 00 20 00
[ 2381.032079] scsi host8: uas_eh_bus_reset_handler start

Disabling uas worked the problem around. I still see some:

usb 1-4.4: reset high-speed USB device number 14 using ehci-pci

in dmesg but the disk recovers after the reset.

Additionally, disabling uas allows me to see the external disk SMART data (including using Disks), something I couldn't do before and was sorely missing in these circumstances!

The bottom line is that it seems under certain circumstances, uas is not able to recover from errors.

James Agnew (jamesagnew-j) wrote :

I am seeing the same issue with Kernel 4.8.0-26-generic #28-Ubuntu SMP Tue Oct 18 14:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Workaround as reported in the orinal description also clears it for me

claudio@ubuntu (claudio.ubuntu) wrote :

The workaround from above kind of works as making a USB3 drive usable, but it's certainly not a solution, becase the reset still happen and the IO interrupted.

I listen to music with rhythmbox On Ubuntu 16.4.1. My FLAC collection in on an external USB3 disk. Every 9 minutes, there is a usb reset resulting in a pause in the music for 1 or 2 seconds.

# grep reset syslog
Dec 3 09:39:51 kodi kernel: [833306.998449] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 09:48:25 kodi kernel: [833820.826351] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 09:57:56 kodi kernel: [834391.952203] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 10:36:53 kodi kernel: [836729.119419] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 10:47:38 kodi kernel: [837374.645305] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd

# grep "usb 2-3" syslog
Dec 3 09:39:51 kodi kernel: [833306.882385] usb 2-3: Disable of device-initiated U1 failed.
Dec 3 09:39:51 kodi kernel: [833306.886614] usb 2-3: Disable of device-initiated U2 failed.
Dec 3 09:39:51 kodi kernel: [833306.998449] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 09:48:24 kodi kernel: [833820.709518] usb 2-3: Disable of device-initiated U1 failed.
Dec 3 09:48:24 kodi kernel: [833820.713862] usb 2-3: Disable of device-initiated U2 failed.
Dec 3 09:48:25 kodi kernel: [833820.826351] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 09:57:56 kodi kernel: [834391.831138] usb 2-3: Disable of device-initiated U1 failed.
Dec 3 09:57:56 kodi kernel: [834391.837003] usb 2-3: Disable of device-initiated U2 failed.
Dec 3 09:57:56 kodi kernel: [834391.952203] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 10:36:53 kodi kernel: [836729.003142] usb 2-3: Disable of device-initiated U1 failed.
Dec 3 10:36:53 kodi kernel: [836729.007545] usb 2-3: Disable of device-initiated U2 failed.
Dec 3 10:36:53 kodi kernel: [836729.119419] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 10:47:38 kodi kernel: [837374.529443] usb 2-3: Disable of device-initiated U1 failed.
Dec 3 10:47:38 kodi kernel: [837374.533545] usb 2-3: Disable of device-initiated U2 failed.
Dec 3 10:47:38 kodi kernel: [837374.645305] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd

System info:
# cat /etc/issue
Ubuntu 16.04.1 LTS \n \l

# uname -a
Linux kodi 4.4.0-47-generic #68-Ubuntu SMP Wed Oct 26 19:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

# dmesg |grep Seagate
[ 2.086528] usb 2-3: Manufacturer: Seagate
[ 3.099308] scsi 2:0:0:0: Direct-Access Seagate Backup+ SL A905 PQ: 0 ANSI: 6

There is no firmware update available from the manufacturer.

Thx,

C.

claudio@ubuntu (claudio.ubuntu) wrote :

I just plugged in the drive into my laptop running Ubuntu 16.10 and there are no reset with the drive and no workaround needed.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety
$ uname -a
Linux bologna 4.8.0-28-generic #30-Ubuntu SMP Fri Nov 11 14:03:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
$ lspci |grep USB
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)

The affected 16.04 system:
$ lspci |grep USB
00:14.0 USB controller: Intel Corporation Device 22b5 (rev 21)

However, I think it's kernel related. I'll boot the affected system with a 4.8 kernel.

I spoke too soon.While on my Ubuntu 16.10 laptop there hasn't been any usb reses, the problems still persist on the 16.04 NUC when booted through a 16.10 live session:

Dec 3 11:08:49 ubuntu kernel: [ 686.880835] xhci_hcd 0000:00:14.0: ERROR Unknown event condition 10, HC probably busted
Dec 3 11:08:49 ubuntu kernel: [ 686.880852] xhci_hcd 0000:00:14.0: ERROR Unknown event condition 10, HC probably busted
Dec 3 11:08:49 ubuntu kernel: [ 686.884132] xhci_hcd 0000:00:14.0: ERROR Transfer event for disabled endpoint or incorrect stream ring
Dec 3 11:08:49 ubuntu kernel: [ 686.884164] xhci_hcd 0000:00:14.0: @0000000179f91ba0 00000000 00000000 04000000 02038001
Dec 3 11:09:20 ubuntu kernel: [ 718.048017] sd 3:0:0:0: [sda] tag#1 uas_eh_abort_handler 0 uas-tag 2 inflight: CMD IN
Dec 3 11:09:20 ubuntu kernel: [ 718.048039] sd 3:0:0:0: [sda] tag#1 CDB: Read(10) 28 00 75 e4 70 e0 00 01 00 00
Dec 3 11:09:20 ubuntu kernel: [ 718.048445] sd 3:0:0:0: [sda] tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: CMD IN
Dec 3 11:09:20 ubuntu kernel: [ 718.048463] sd 3:0:0:0: [sda] tag#0 CDB: Read(10) 28 00 75 e4 6f e0 00 01 00 00
Dec 3 11:09:20 ubuntu kernel: [ 718.048980] scsi host3: uas_eh_bus_reset_handler start
Dec 3 11:09:20 ubuntu kernel: [ 718.175974] usb 2-3: reset SuperSpeed USB device number 2 using xhci_hcd
Dec 3 11:09:20 ubuntu kernel: [ 718.206258] scsi host3: uas_eh_bus_reset_handler success

Kernel 4.8.0-22-generic.

C.

An *addition* to the workaround suggested by the original poster, for my use case I disabled the autosuspend feature (that causes the reset according to the logs). This seems to work fine around the problem:

# echo -1 >/sys/module/usbcore/parameters/autosuspend

With this option, I don't longer have the sound interruptions when playing music from the disk.

The modules options for the workaround looks like this:
$ cat /etc/modprobe.d/usb3-disk-bug.conf
# Get uids from lsusb -b => Id Vendor:Id Product:u
# update-initramfs -u
options usb-storage quirks=0x0bc2:0xab20:u
options usbcore autosuspend=-1

I've been seeing issues like this with a bevy of external drives hooked up through USB, on every single GNU/Linux distribution that is running kernel 4.3 or later. Sadly, this even affects recent releases of distros that exist solely to *repair* disks, like SystemRescueCD. Extremely frustrating, and I hope Ubuntu is the first distribution to release some kind of lasting fix or workaround.

same problem on ubuntu 16.10 on a lenovo yoga x1 with a rugged lacie drive

uname -a
Linux placebo 4.8.0-41-generic #44-Ubuntu SMP Fri Mar 3 15:27:17 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

[ 2049.287915] usb 2-1: new SuperSpeed USB device number 8 using xhci_hcd
[ 2049.308640] usb 2-1: New USB device found, idVendor=059f, idProduct=1061
[ 2049.308645] usb 2-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[ 2049.308648] usb 2-1: Product: Rugged USB3-FW
[ 2049.308651] usb 2-1: Manufacturer: LaCie
[ 2049.308653] usb 2-1: SerialNumber: 00000000152a9abd1077
[ 2049.311450] scsi host0: uas
[ 2049.312151] scsi 0:0:0:0: Direct-Access LaCie Rugged FW USB3 051E PQ: 0 ANSI: 6
[ 2049.355724] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 2049.364519] sd 0:0:0:0: [sda] 1953525168 512-byte logical blocks: (1.00 TB/932 GiB)
[ 2049.364835] sd 0:0:0:0: [sda] Write Protect is off
[ 2049.364836] sd 0:0:0:0: [sda] Mode Sense: 43 00 00 00
[ 2049.364994] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA

and then:
[ 2081.759381] sd 0:0:0:0: tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: IN
[ 2081.759388] sd 0:0:0:0: tag#0 CDB: Report supported operation codes a3 0c 01 12 00 00 00 00 02 00 00 00
[ 2081.759576] scsi host0: uas_eh_bus_reset_handler start
[ 2081.879432] usb 2-1: reset SuperSpeed USB device number 8 using xhci_hcd
[ 2081.902123] scsi host0: uas_eh_bus_reset_handler success
[ 2114.526621] sd 0:0:0:0: tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: IN
[ 2114.526628] sd 0:0:0:0: tag#0 CDB: Report supported operation codes a3 0c 01 12 00 00 00 00 02 00 00 00
[ 2114.526751] scsi host0: uas_eh_bus_reset_handler start
[ 2114.647413] usb 2-1: reset SuperSpeed USB device number 8 using xhci_hcd
[ 2114.669711] scsi host0: uas_eh_bus_reset_handler success
[ 2145.246599] sd 0:0:0:0: tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: IN
[ 2145.246606] sd 0:0:0:0: tag#0 CDB: Report supported operation codes a3 0c 01 12 00 00 00 00 02 00 00 00
[ 2145.246691] scsi host0: uas_eh_bus_reset_handler start
[ 2145.366868] usb 2-1: reset SuperSpeed USB device number 8 using xhci_hcd
[ 2145.388835] scsi host0: uas_eh_bus_reset_handler success

and regularli every 30sec it repeats

amichair (amichai2) wrote :

I'm having the same issue on Kubuntu 17.04, even after upgrading to latest mainline kernel 4.11.0.

The workaround works. Comment #11 helped in explaining how to do it - thanks. My device id is 0x0bc2:0xab28.

Kai-Heng Feng (kaihengfeng) wrote :

Hi, Can you guys try the kernel [1], *without* the modprobe quirk?
[1] http://people.canonical.com/~khfeng/lp1584557/

Kai-Heng Feng (kaihengfeng) wrote :

FWIW I add the quirk into Linux kernel directly, for both 0x0bc2:0x2322 and 0x0bc2:0xab28.

wdeurholt (wdeurholt) wrote :

I have this with 07ab:fca1

Kai-Heng Feng (kaihengfeng) wrote :

wdeurholt,

Do you mean "options usb-storage quirks=07ab:fca1:u" can solve the issue?

Jeiks (jacsonrcsilva) wrote :
Download full text (5.9 KiB)

Hello everybody, there is some solution to fix this problem?
Because I have the same Seagate device (0bc2:2322) and the same errors.
When I tried the "modprobe.d" option, I got the device so slow to write data and to umount. Then, I removed it and installed the Linux version 4.13.11-041311-generic.
My device was mounted using "uas" and all started well. But after copying ~ 30GB, the device slowed again and I got these errors in dmesg:
...
[ 6717.695675] sd 0:0:0:0: [sda] tag#11 CDB: Write(10) 2a 00 30 46 12 40 00 04 00 00
[ 6744.926028] sd 0:0:0:0: [sda] tag#28 uas_eh_abort_handler 0 uas-tag 29 inflight: CMD
[ 6744.926035] sd 0:0:0:0: [sda] tag#28 CDB: Synchronize Cache(10) 35 00 00 00 00 00 00 00 00 00
[ 6744.926080] scsi host0: uas_eh_bus_reset_handler start
[ 6745.046349] usb 2-9: reset SuperSpeed USB device number 2 using xhci_hcd
[ 6745.067666] scsi host0: uas_eh_bus_reset_handler success

The device info (lsusb -d 0bc2:2322 -v) is:

Bus 002 Device 002: ID 0bc2:2322 Seagate RSS LLC
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 3.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 9
  idVendor 0x0bc2 Seagate RSS LLC
  idProduct 0x2322
  bcdDevice 0.00
  iManufacturer 2 Seagate
  iProduct 3 Expansion
  iSerial 1 NA8K1GTV
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 121
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 36mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk-Only
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 15
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 15
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 1
      bNumEndpoints 4
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass ...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :
James Kingdon (james-kingdon) wrote :

Also 0bc2:331a (Seagte 4TB)

gcstang (gcstang) wrote :
Download full text (5.2 KiB)

Also obc2:2322 Backup Plus Hub 6TB

uname -sr
Linux 4.14.15-1

If I set modprob.d/local_quirks.conf then it doesn't error but it's SUPER SLOW:

options usb-storage quirks=0bc2:ab38:u

lsusb -d 0bc2:2322 -v

Bus 002 Device 003: ID 0bc2:ab38 Seagate RSS LLC Backup Plus Hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 3.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 9
  idVendor 0x0bc2 Seagate RSS LLC
  idProduct 0xab38 Backup Plus Hub
  bcdDevice 1.00
  iManufacturer 2 Seagate
  iProduct 3 Backup+ Hub BK
  iSerial 1 NA8T76PS
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 121
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk-Only
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 15
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 15
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 1
      bNumEndpoints 4
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 98
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 15
        MaxStreams 32
        Data-in pipe (0x03)
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes ...

Read more...

> On 26 Jan 2018, at 12:37 AM, gcstang <email address hidden> wrote:
>
> Also obc2:2322 Backup Plus Hub 6TB
>
> uname -sr
> Linux 4.14.15-1
>
>
> If I set modprob.d/local_quirks.conf then it doesn't error but it's SUPER SLOW:

That’s expected, UAS is the “fast” mode specifically designed for this kind of device.

Did you see any USB related message when this issue happens in dmesg?

Skyman (sskyman) wrote :

I'm also seeing this issue with a Maxtor Seagate 1 TB external USB 3 hard drive on HP Pavilion Desktop PC 570-p0xx
System is Kubuntu 16.04.3 LTS with Kernel 4.13.0-32-generic

The workaround/quirk from the original post makes the errors go away, but the device is really slow.

lsusb output
Bus 005 Device 003: ID 0bc2:61b6 Seagate RSS LLC

Drive is brand new and has no SMART errors.

Output of lshw is attached. If you need any other informations please let me know. But I could take some _weeks_ untill I will have access to this machine again.

Kai-Heng Feng (kaihengfeng) wrote :

This commit might help:

commit 7fee72d5e8f1e7b8d8212e28291b1a0243ecf2f1
Author: Hans de Goede <email address hidden>
Date: Tue Nov 14 19:27:22 2017 +0100

    uas: Always apply US_FL_NO_ATA_1X quirk to Seagate devices

Please try kernel version >= v4.15.

Skyman (sskyman) wrote :

@Kai-Heng Feng: Thanks for your fast reply!
Does this mean, that UAS just will be disabled (slow disk) or is it like a fix?
I will give it a try as soon as possible. Is there a kernel version for 16.04.3 LTS besides the mainline kernel?

Ian Turner (vectro) wrote :

According to [1], the :u quirk mentioned in this bug is equivalent to US_FL_IGNORE_UAS, which completely disables uas. The US_FL_NO_ATA_1X quirk can be specified in modprobe.conf as :t. I'm not sure what that quirk does.
[1] https://en.opensuse.org/SDB:USB_3.0_Hard_Drive_troubleshooting

Unfortunately I can't test this against my STEA1000400 as it is currently in off-site storage, but I'll try this when I get it back.

John Karlsson (jkarlsso) wrote :

This affects me on kernel >= 4.15 (I think. Otherwise please excuse. I'm new)

lsusb -v -d 0bc2:ab28
  idVendor 0x0bc2 Seagate RSS LLC
  idProduct 0xab28

lsusb -t
Port 2: Dev 4, If 0, Class=Mass Storage, Driver=uas, 5000M

uname -r
4.15.0-45-generic
(Linux mint 19.1)

dmesg
[35610.968135] sd 7:0:0:0: [sdc] tag#20 uas_eh_abort_handler 0 uas-tag 21 inflight: CMD OUT
[35610.968138] sd 7:0:0:0: [sdc] tag#20 CDB: Write(16) 8a 00 00 00 00 00 fd 3f 7c f6 00 00 00 03 00 00
[35610.978152] scsi host7: uas_eh_device_reset_handler start
[35611.063386] usb 4-2.2: reset SuperSpeed USB device number 4 using xhci_hcd
[35611.088859] scsi host7: uas_eh_device_reset_handler success

Filofel (filofel) wrote :

FWIW, I changed my notebook and reinstalled 18.04.2 64-bit on the new machine.
I then plugged my 4 external disks (see comment #6) to the new machine.
And much to my dismay, when plugged into USB 3.x ports, the disks didn't mount...
It did on USB 2.0 ports, though.

Looking at sysdev reminded me of this problem I had experienced in 2016 on the same devices, and the same fix worked just as well:
- Creating a "blacklist-uas-on-quirks.conf" in /etc/modprobe.d and
- Adding the line
  options usb-storage quirks=059f:105e:u,059f:107e:u
  in the file to blacklist uas for the two listed devices and use usb-storage instead.

That fixed it for me.

Kai-Heng Feng (kaihengfeng) wrote :

Filofel,

Would you mind to send a kernel patch to make the change persistent?

Filofel (filofel) wrote :

Kai-Heng Feng,

I wouldn't mind if I knew how to do it... :)

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Kai-Heng Feng (kaihengfeng) wrote :

Filofel,

Do you still face the issue on latest mainline kernel?
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.3-rc5/

Felix Moreno (info-justdust) wrote :

Hapening to me with ubuntu 19-04 updted, mi usb starts giving me this errors...

 189.076932] usb 6-1.3.1: cmd cmplt err -71
[ 189.077258] usb 6-1.3.2: cmd cmplt err -71
[ 189.077541] usb 6-1.4.1: cmd cmplt err -71
[ 189.077904] usb 6-1.4.2: cmd cmplt err -71
[ 189.077908] usb 6-1.3.4: cmd cmplt err -71
[ 189.078024] usb 6-1.3.3: cmd cmplt err -71
[ 189.078389] usb 6-1.4.4: cmd cmplt err -71
[ 189.078876] usb 6-1.3.2: cmd cmplt err -71
[ 189.079195] usb 6-1.4.1: cmd cmplt err -71
[ 189.079569] usb 6-1.3.4: cmd cmplt err -71
[ 189.079731] usb 6-1.4.3: cmd cmplt err -71
[ 189.079736] usb 6-1.2: cmd cmplt err -71
[ 189.080083] usb 6-1.4.4: cmd cmplt err -71
[ 189.080501] usb 6-1.3.1: cmd cmplt err -71
[ 189.080817] usb 6-1.3.3: cmd cmplt err -71
[ 189.081191] usb 6-1.4.2: cmd cmplt err -71
[ 189.081583] usb 6-1.2: cmd cmplt err -71
[ 189.081975] usb 6-1.4.3: cmd cmplt err -71
[ 189.082383] usb 6-1.1: cmd cmplt err -71
[ 189.082694] usb 6-1.1: cmd cmplt err -71

an lot of connections disconections, the chip of the hubs is a:
6Gb/s bridge, ASM1153 SATA 3Gb/s bridge, ASM1153E SATA 6Gb/s bridge
Bus 002 Device 008: ID 174c:3074 ASMedia Technology Inc. ASM1074 SuperSpeed hub
Bus 002 Device 006: ID 174c:55aa ASMedia Technology Inc. Name: ASM1051E SATA 6Gb/s bridge, ASM1053E SATA

Same deal here on:

Distributor ID: Ubuntu
Description: Ubuntu 19.04
Release: 19.04
Codename: disco

Linux amdubuntu 5.0.0-29-generic #31-Ubuntu SMP Thu Sep 12 13:05:32 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

I'd just like to clarify that Comment #31 has the appropriate syntax for multiple disks.

I'm not sure how I had this working before but as of the 5.0.0-29-generic kernel - if you have multiple entries in your /etc/modprobe.d/blacklist-<whateveryoucallit>.conf:
options usb-storage quirks=0x0bc2:0xab20:u
options usb-storage quirks=0x0bc2:0xab00:u

They will clobber each other, so per the above you only would be blacklisting 0x0bc2:0xab00:u.

You don't need 0x, if you want to cut down on the syntax a bit, but you do need to put them all on the same line:
/etc/modprobe.d/blacklist-<whateveryoucallit>.conf:
options usb-storage quirks=0bc2:ab20:u,0bc2:ab00:u,0bc2:3322:u,152d:1561:u

Note: if you have a /etc/modprobe.d/usb3-disk-bug.conf and create your own blacklist file make sure you remove the "options usb-storage quirks..." entries from usb3-disk-bug.conf to prevent them from clobbering your blacklist file.

Update your initramfs:
sudo update-initramfs -u

And reboot.

Thomas (tombl) wrote :

Same problem on my Intel NUC8i7BEH system running Ubuntu 19.10. Adding the quirk solved the problem for me as well.

Bus 002 Device 002: ID 152d:0578 JMicron Technology Corp. / JMicron USA Technology Corp. JMS567 SATA 6Gb/s bridge

Albert Kubicki (albertmk) wrote :

The same problem occurs on Ubuntu 20.04. Adding the quirk solved the problem for me as well.

Bus 006 Device 004: ID 152d:0562 JMicron Technology Corp. / JMicron USA Technology Corp. External

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers